#ifndef TS_MSGS_H
#define TS_MSGS_H

/* procedure warning prints a warning message
 *
 *     caller    the name of the procedure or function that calls this procedure
 *     code      the code of the warning
 */
void ts_warning ( const char *caller, int code );

/* procedure error prints an error message and exits the program
 *
 *     caller    the name of the procedure or function that calls this procedure
 *     code      the code of the error
 */
void ts_error ( const char *caller, int code );

#endif
